Debian Bug report logs - #493858
matplotlib: FTBFS on GNU/kFreeBSD (fixup of setupext.py needed)

version graph

Package: matplotlib; Maintainer for matplotlib is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>;

Reported by: Petr Salinger <Petr.Salinger@seznam.cz>

Date: Tue, 5 Aug 2008 11:57:08 UTC

Severity: important

Tags: patch

Found in version 0.98.3-1

Fixed in version matplotlib/0.98.3-2

Done: Sandro Tosi <matrixhasu@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#493858; Package matplotlib. Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
New Bug report received and forwarded. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: submit@bugs.debian.org
Subject: matplotlib: FTBFS on GNU/kFreeBSD (fixup of setupext.py needed)
Date: Tue, 5 Aug 2008 14:10:56 +0200 (CEST)
Package: matplotlib
Severity: important
Version: 0.98.3-1
Tags: patch
User: glibc-bsd-devel@lists.alioth.debian.org
Usertags: kfreebsd

Hi,

the current version fails to build on GNU/kFreeBSD.

It does not recognize kfreebsd7 based systems.
Please extend debian/patches/build_fix.patch, see bellow.

It would also be nice if you can ask upstream
to include similar change.

Thanks in advance

--- debian/patches/build_fix.patch~     2008-08-05 13:44:10.000000000 +0000
+++ debian/patches/build_fix.patch      2008-08-05 13:44:10.000000000 +0000
@@ -13,7 +13,7 @@
      'cygwin' : ['/usr/local', '/usr',],
      'darwin' : ['/sw/lib/freetype2', '/sw/lib/freetype219', '/usr/local',
                  '/usr', '/sw', '/usr/X11R6'],
-@@ -56,8 +56,8 @@
+@@ -56,8 +56,10 @@
      'freebsd5' : ['/usr/local', '/usr'],
      'freebsd6' : ['/usr/local', '/usr'],
      'sunos5' : [os.getenv('MPLIB_BASE') or '/usr/local',],
@@ -21,6 +21,8 @@
 -    'gnukfreebsd6' : ['/usr/local', '/usr'],
 +    'gnukfreebsd5' : ['/usr'],
 +    'gnukfreebsd6' : ['/usr'],
++    'gnukfreebsd7' : ['/usr'],
++    'gnukfreebsd8' : ['/usr'],
      'aix5' : ['/usr/local'],
  }





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#493858; Package matplotlib. Full text and rfc822 format available.

Acknowledgement sent to "Sandro Tosi" <matrixhasu@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 493858@bugs.debian.org (full text, mbox):

From: "Sandro Tosi" <matrixhasu@gmail.com>
To: "John Hunter" <jdh2358@gmail.com>, "Michael Droettboom" <mdroe@stsci.edu>, matplotlib-devel <Matplotlib-devel@lists.sourceforge.net>
Cc: 493858@bugs.debian.org
Subject: Re: [Python-modules-team] Bug#493858: matplotlib: FTBFS on GNU/kFreeBSD (fixup of setupext.py needed)
Date: Tue, 5 Aug 2008 17:55:27 +0200
Hi guys,
a gentle kfreebsd porter, submitted a patch against setupext.py to
allow kfreebsd as arch for matplotlib.

I'm going to merge and upload mpl based on it, but he (and me, of
course) would be happy if you could merge this change directly in your
code (since the change is indipendent from Debian).

Thanks,
Sandro

On Tue, Aug 5, 2008 at 14:10, Petr Salinger <Petr.Salinger@seznam.cz> wrote:
> Package: matplotlib
> Severity: important
> Version: 0.98.3-1
> Tags: patch
> User: glibc-bsd-devel@lists.alioth.debian.org
> Usertags: kfreebsd
>
> Hi,
>
> the current version fails to build on GNU/kFreeBSD.
>
> It does not recognize kfreebsd7 based systems.
> Please extend debian/patches/build_fix.patch, see bellow.
>
> It would also be nice if you can ask upstream
> to include similar change.
>
> Thanks in advance
>
> --- debian/patches/build_fix.patch~     2008-08-05 13:44:10.000000000 +0000
> +++ debian/patches/build_fix.patch      2008-08-05 13:44:10.000000000 +0000
> @@ -13,7 +13,7 @@
>       'cygwin' : ['/usr/local', '/usr',],
>       'darwin' : ['/sw/lib/freetype2', '/sw/lib/freetype219', '/usr/local',
>                   '/usr', '/sw', '/usr/X11R6'],
> -@@ -56,8 +56,8 @@
> +@@ -56,8 +56,10 @@
>       'freebsd5' : ['/usr/local', '/usr'],
>       'freebsd6' : ['/usr/local', '/usr'],
>       'sunos5' : [os.getenv('MPLIB_BASE') or '/usr/local',],
> @@ -21,6 +21,8 @@
>  -    'gnukfreebsd6' : ['/usr/local', '/usr'],
>  +    'gnukfreebsd5' : ['/usr'],
>  +    'gnukfreebsd6' : ['/usr'],
> ++    'gnukfreebsd7' : ['/usr'],
> ++    'gnukfreebsd8' : ['/usr'],
>       'aix5' : ['/usr/local'],
>   }

-- 
Sandro Tosi (aka morph, Morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#493858; Package matplotlib. Full text and rfc822 format available.

Acknowledgement sent to "Sandro Tosi" <matrixhasu@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. Full text and rfc822 format available.

Tags added: pending Request was from morph-guest@users.alioth.debian.org to control@bugs.debian.org. (Tue, 05 Aug 2008 16:51:01 GMT) Full text and rfc822 format available.

Reply sent to Sandro Tosi <matrixhasu@gmail.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 493858-close@bugs.debian.org (full text, mbox):

From: Sandro Tosi <matrixhasu@gmail.com>
To: 493858-close@bugs.debian.org
Subject: Bug#493858: fixed in matplotlib 0.98.3-2
Date: Tue, 05 Aug 2008 19:32:12 +0000
Source: matplotlib
Source-Version: 0.98.3-2

We believe that the bug you reported is fixed in the latest version of
matplotlib, which is due to be installed in the Debian FTP archive:

matplotlib_0.98.3-2.diff.gz
  to pool/main/m/matplotlib/matplotlib_0.98.3-2.diff.gz
matplotlib_0.98.3-2.dsc
  to pool/main/m/matplotlib/matplotlib_0.98.3-2.dsc
python-matplotlib-data_0.98.3-2_all.deb
  to pool/main/m/matplotlib/python-matplotlib-data_0.98.3-2_all.deb
python-matplotlib-doc_0.98.3-2_all.deb
  to pool/main/m/matplotlib/python-matplotlib-doc_0.98.3-2_all.deb
python-matplotlib_0.98.3-2_amd64.deb
  to pool/main/m/matplotlib/python-matplotlib_0.98.3-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 493858@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sandro Tosi <matrixhasu@gmail.com> (supplier of updated matplotlib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 05 Aug 2008 19:39:18 +0200
Source: matplotlib
Binary: python-matplotlib python-matplotlib-data python-matplotlib-doc
Architecture: source all amd64
Version: 0.98.3-2
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Sandro Tosi <matrixhasu@gmail.com>
Description: 
 python-matplotlib - Python based plotting system in a style similar to Matlab
 python-matplotlib-data - Python based plotting system (data package)
 python-matplotlib-doc - Python based plotting system (documentation package)
Closes: 493858
Changes: 
 matplotlib (0.98.3-2) unstable; urgency=low
 .
   * debian/patches/build_fix.patch
     - added kfreebsd7/8 based systems; thanks to Petr Salinger for the patch;
       Closes: #493858
Checksums-Sha1: 
 a4b9449911f74a6724dee9fd0f8e4f7d888da163 1946 matplotlib_0.98.3-2.dsc
 606eb9da794c408d180b6a9dde0374ac6dce82e2 16882 matplotlib_0.98.3-2.diff.gz
 dcc5861755004f5e7f8c2ccedad2961e52285c4a 1117752 python-matplotlib-data_0.98.3-2_all.deb
 bc494f81e3f879bc3134f793a373e6acc9a64c64 16938042 python-matplotlib-doc_0.98.3-2_all.deb
 61611c1d78b0b8ff867a8925607da88003c3cfa2 2315560 python-matplotlib_0.98.3-2_amd64.deb
Checksums-Sha256: 
 ce27b770b27233f76930704b1923c73fac39e4e5817b8c59d8f067b4b47b72c9 1946 matplotlib_0.98.3-2.dsc
 ac17dd6d5491a2edbd12e2f7c672dabc2db8d02f62ee1b7986fd7e59e7f6a154 16882 matplotlib_0.98.3-2.diff.gz
 da21290c5ecafe602ab4b3b0da0189643544c49178be935e2041ab3ceb7c1c8a 1117752 python-matplotlib-data_0.98.3-2_all.deb
 8ef1879f106dac862bbfbf592a0215c5e0f44dfd0c41b3f4ee7b5693c4f17dbb 16938042 python-matplotlib-doc_0.98.3-2_all.deb
 96af1fd10aad34e3fa496f85ce4abff2f53af1488d923d311ff08330d551cb5a 2315560 python-matplotlib_0.98.3-2_amd64.deb
Files: 
 b392d19d534632827812c10acea10a6a 1946 python optional matplotlib_0.98.3-2.dsc
 a8a76eb5a936782987ca5e99c6c2704a 16882 python optional matplotlib_0.98.3-2.diff.gz
 f3ae43809a65d5abe9686eb9f5ae5eb9 1117752 python optional python-matplotlib-data_0.98.3-2_all.deb
 e7039b36df9c634327fd8d9c44468ebd 16938042 doc optional python-matplotlib-doc_0.98.3-2_all.deb
 7720a9822b06ca064db90fef4f55c306 2315560 python optional python-matplotlib_0.98.3-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkiYnLYACgkQB01zfu119ZmCFgCgyU0vJ1T9Zo2H+axhbW8LPXqS
Z+wAoKFkbhOrRSASDY7Rf2EBOq2Iy/mP
=NWd3
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 03 Sep 2008 07:34:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 19:03:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.